
CoCoALib - Support #256

Improve doc about ordering/grading for poly rings

08 Oct 2012 16:33 - John Abbott

Status: Closed Start date: 08 Oct 2012

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Documentation Estimated time: 3.00 hours

Target version: CoCoALib-0.99850 Spent time: 1.60 hour

Description

Specify what default grading is.

Related issues:

Related to CoCoALib - Feature #253: W.Bruns's wish list Closed 04 Oct 2012

Related to CoCoALib - Feature #310: ordering and grading (weights) matrix Closed 13 Feb 2013

History

#1 - 09 Oct 2012 15:52 - Anna Maria Bigatti

- Project changed from CoCoA to CoCoALib

#2 - 12 Oct 2012 19:28 - Anna Maria Bigatti

- Category set to Documentation

#3 - 01 Apr 2014 18:10 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99533 Easter14

#4 - 07 Apr 2014 14:37 - John Abbott

- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-0.99534 Seoul14

#5 - 31 Jul 2014 12:20 - Anna Maria Bigatti

- Status changed from New to In Progress

- Assignee set to Anna Maria Bigatti

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-1.0

- % Done changed from 0 to 10

- Estimated time set to 3.00 h

Most of the information is already in the documentation for PPOrdering.

So it is mainly a matter of redesigning its documentation structure and suitable cross references.

#6 - 27 Jan 2020 17:30 - John Abbott

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99700

It would be nice to finish this issue... possible for 0.99700?

[not really urgent, but its has been lingering for a long time]

#7 - 12 Feb 2020 14:38 - John Abbott

- Target version changed from CoCoALib-0.99700 to CoCoALib-0.99800

#8 - 22 Oct 2020 16:48 - John Abbott
- % Done changed from 10 to 20

I have just added to SparsePolyRing.txt that the default term ordering is StdDegRevLex  (should we give an explicit definition of this somewhere?)

#9 - 03 Nov 2021 16:59 - John Abbott

- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99850

#10 - 23 Nov 2021 22:06 - John Abbott

- Status changed from In Progress to Resolved

- % Done changed from 20 to 70

I think the doc in SparsePolyRing.txt is OK now.  Do you agree, Anna?

#11 - 14 Mar 2023 19:52 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 70 to 100
